Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154049 - CAN-2005-0990 insecure temp file usage
Summary: CAN-2005-0990 insecure temp file usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sharutils
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: Jay Turner
URL:
Whiteboard: impact=low,public=20050331,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 20:45 UTC by Josh Bressers
Modified: 2015-01-08 00:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-26 16:31:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:377 low SHIPPED_LIVE Low: sharutils security update 2005-04-26 04:00:00 UTC

Description Josh Bressers 2005-04-06 20:45:38 UTC
The way sharutils handles temporary files is insecure (as reported by the Debian
BTS):
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=302412

The Debian bug contains a patch for this issue.

Comment 1 Josh Bressers 2005-04-06 20:46:54 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Ngo Than 2005-04-14 11:15:32 UTC
it's fixed in sharutils-4.2.1-8.9.x (RHEL2.1) and sharutils-4.2.1-16.2 (RHEL3)

Comment 3 Josh Bressers 2005-04-26 16:31:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-377.html



Note You need to log in before you can comment on or make changes to this bug.